Target System Requirements

InstallShield 2012 Spring

You can use InstallShield to rapidly build, test, and deploy installations that target Windows-based systems and mobile devices.

Requirements For Desktop Computers

Operating System

Target systems must meet the following minimum operating system requirement:

Windows 2000
Windows XP
Windows Server 2003
Windows Vista
Windows Server 2008
Windows 7
Windows Server 2008 R2

Installer Engine Requirements

The minimum target system requirements for the various installer engines are as follows.

Target System Requirements for Desktop Computers

Installer Engine

Operating System and Other Requirements

Windows Installer 5.0

(This is not available as a redistributable.)

Windows 7 or later, Windows Server 2008 R2 or later

Windows Installer 4.5

Windows XP SP2 or later, Windows Server 2003 SP1 or later

Windows Installer 4.0

(This is not available as a redistributable.)

Windows Vista, Windows Server 2008

Windows Installer 3.1

Windows 2000 SP3 or later, Windows Server 2003 or later

Windows Installer 3.0

Windows 2000 SP3 or later, Windows Server 2003 or later

Windows Installer 2.0

Windows 95 or later

(Note that InstallShield does not include support for Windows 95, Windows 98, Windows NT 4, or Windows Me.)

Suite/Advanced UI

Windows XP or later, Windows Server 2003 or later

Windows Installer 3.1 or later

Advanced UI

Windows XP or later, Windows Server 2003 or later

Windows Installer 3.1 or later

InstallScript

Windows 2000 or later

ClickOnce

Windows 98 or later

.NET Framework 2.0

(Note that InstallShield does not include support for Windows 98, Windows NT 4, or Windows Me.)

For more information about Windows Installer redistributables, see Adding Windows Installer Redistributables to Projects.

Requirements For Mobile Devices

InstallShield includes support for adding mobile device installations to desktop installations that use Microsoft Windows Mobile Device Center or Microsoft ActiveSync to transfer files to a mobile device.

InstallShield also includes support for straight-to-device installations that do not use Windows Mobile Device Center, ActiveSync, or any other desktop component.

For an overview of the different options that InstallShield supports, see Creating Installations for Mobile Devices.

Windows Mobile Device Requirements

InstallShield supports many Windows Mobile platforms and processors. The Windows Mobile platforms are:

Windows Mobile 6.x Professional and Classic
Windows Mobile 6.x Standard
Windows Embedded CE 6.x
Windows Mobile 5.0 for Pocket PC
Windows Mobile 5.0 for Smartphone
Windows CE .NET 5.0
Windows CE .NET 4.x
Pocket PC 2003
Pocket PC 2002
Pocket PC
Palm-size PC 2.11
Palm-size PC 2.01
Handheld PC 2000
Handheld PC Pro
Handheld PC 2.0
Smartphone 2003
Smartphone 2002

Note that if a platform is not included in the list, it does not mean InstallShield does not support it. It simply means that you cannot set conditions for that specific platform by default. To add support for additional platforms or to change the conditions for targeting a specific platform, you can modify the Settings.xml file that is installed with InstallShield. For more information, see Modifying the List of Available Windows Mobile Platforms or their Associated Settings.

InstallShield includes support for the following Windows Mobile processors:

ARM920
ARM820
ARM720
Common Executable Format
Hitachi SH4
Hitachi SH3E
Hitachi SH3
i686
i586
i486
MIPS R4000
MIPS R3000
MIPS R2000
SHx SH4
SHx SH3
StrongARM-XScale

Palm OS Device Requirements

InstallShield supports Palm OS 3.5 and later.

Desktop Requirements for Windows Mobile Device Installations

Requirements for the desktop computers that are used to install applications on Windows Mobile devices are:

Microsoft ActiveSync 3.x or later on Windows XP (ActiveSync 4.x is required for Windows Mobile 5.x or later devices)
Microsoft Windows Mobile Device Center on Windows Vista
Administrative privileges

Desktop Requirements for Palm OS Device Installations

Palm HotSync is required for the desktop computers that are used to install applications on Palm OS devices.

See Also